Determining which depot_tools revision to use

Having problems with building or using CEF's C/C++ APIs? This forum is here to help. Please do not post bug reports or feature requests here.

Determining which depot_tools revision to use

Postby EggoFreak » Wed May 05, 2021 1:03 pm

I am having issues building CEF branch 3945 with proprietary codecs enabled and I am unsure which depot_tools revision to use.

Should I checkout a revision of depot_tools when the last commit of CEF branch 3945 was pushed (2/22/2020) or when chromium 79.0.3945.130 was released (1/15/2020).

I have been unsuccessful in building CEF with depot_tools revisions from 2/21/2020 and 2/24/2020.

This is currently what my update.bat script looks like:

Code: Select all
set DEPOT_TOOLS_UPDATE=0
set CEF_USE_GN=1
set GYP_MSVS_VERSION=2019
set GN_DEFINES=is_official_build=true proprietary_codecs=true ffmpeg_branding=Chrome
set GN_ARGUMENTS=--ide=vs2019 --sln=cef --filters=//cef/*
set CEF_ARCHIVE_FORMAT=tar.bz2
python ..\automate\automate-git.py --download-dir=C:\code\chromium_git --depot-tools-dir=C:\code\depot_tools --branch=3945 --no-depot-tools-update --minimal-distrib --client-distrib --force-clean --x64-build
Last edited by EggoFreak on Wed May 05, 2021 1:55 pm, edited 1 time in total.
EggoFreak
Newbie
 
Posts: 4
Joined: Wed May 05, 2021 12:23 pm

Re: Determining which depot_tools revision to use

Postby magreenblatt » Wed May 05, 2021 1:19 pm

You should use depot_tools from when the Chromium version was released.
magreenblatt
Site Admin
 
Posts: 10848
Joined: Fri May 29, 2009 6:57 pm

Re: Determining which depot_tools revision to use

Postby EggoFreak » Wed May 05, 2021 7:27 pm

Is it strange that I am able to get further in the build process with the latest version of depot_tools rather than the older revisions?
EggoFreak
Newbie
 
Posts: 4
Joined: Wed May 05, 2021 12:23 pm


Return to Support Forum

Who is online

Users browsing this forum: Google [Bot] and 18 guests